Name:      %{name}
Version:   1.0
Release:   %{release}
Summary:   CA certificate and post installation script that configures rhsm.

Group:     Applications/System
License:   GPL
Source0:   katello-rhsm-consumer
BuildArch: noarch

Requires:  subscription-manager

%description
CA certificate and post installation script that configures rhsm.

%prep

%build

%install
rm -rf %{buildroot}

install -Dp -m0755 %{SOURCE0} %{buildroot}%{_bindir}/katello-rhsm-consumer

%clean
rm -rf %{buildroot}

%post
%{_bindir}/katello-rhsm-consumer

%postun
if [ $1 -eq 0 ]; then
  test -f /etc/rhsm/rhsm.conf.kat-backup && command cp /etc/rhsm/rhsm.conf.kat-backup /etc/rhsm/rhsm.conf
fi

%files
%attr(755,-,-) %{_bindir}/katello-rhsm-consumer
